> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/units/get-a-unit-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get a unit by ID GET https://api.propexo.com/v1/units/{id} Get a unit by ID Reference: https://docs.propexo.com/api-reference/yardi-rest/units/get-a-unit-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `id` (string, required) — The ID of the resource. ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (V1UnitsIdGetOutputResults, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### V1UnitsIdGetOutputResults - `id` (string, required) — The Propexo unique identifier for the unit - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `x_floor_plan_id` (any, required) — The external ID of the floor plan from the integration vendorThis field will always be null for YARDI\_REST - `x_unit_type_id` (any, required) — The external ID of the unit type from the integration vendorThis field will always be null for YARDI\_REST - `bathrooms` (string, required, nullable) — The number of bathrooms associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `bathrooms_full` (double, required, nullable) — The number of full bathrooms associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `bathrooms_half` (double, required, nullable) — The number of half bathrooms associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `bedrooms` (string, required, nullable) — The number of bedrooms associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `building_name` (string, required, nullable) — The building name associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `building_number` (string, required, nullable) — The building number associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `city` (string, required, nullable) — The city associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `country` (any, required) — The country associated with the unitThis field will always be null for YARDI\_REST - `custom_data` (V1UnitsIdGetOutputResultsCustomData, required, nullable) - `floor_plan_code` (string, required, nullable) — The external ID of the floor plan associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `floor_plan_name` (string, required, nullable) — The floor plan name associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `floor` (any, required) — The floor number/name associated with the unitThis field will always be null for YARDI\_REST - `is_available` (boolean, required, nullable) — Whether the unit is available | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `is_furnished` (boolean, required, nullable) — Whether the unit is furnished | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `is_vacant` (boolean, required, nullable) — Whether the unit is vacant | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `number` (string, required, nullable) — The unit number | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `rent_amount_market_in_cents` (double, required, nullable) — The market rent amount in cents for the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `rent_amount_max_in_cents` (any, required) — The maximum rent amount in centsThis field will always be null for YARDI\_REST - `rent_amount_min_in_cents` (any, required) — The minimum rent amount in centsThis field will always be null for YARDI\_REST - `square_feet` (integer, required, nullable) — The square footage of the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `state` (string, required, nullable) — The state associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `address_1` (string, required, nullable) — The first address line associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `address_2` (string, required, nullable) — The second address line associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `zip` (string, required, nullable) — The zip code associated with the unit | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `pets_allowed` (any, required) — Whether or not pets are allowedThis field will always be null for YARDI\_REST - `dogs_allowed` (any, required) — Whether or not dogs are allowedThis field will always be null for YARDI\_REST - `cats_allowed` (any, required) — Whether or not cats are allowedThis field will always be null for YARDI\_REST - `pet_policy` (any, required) — The pet policy for the unitThis field will always be null for YARDI\_REST - `floor_plan_id` (any, required) — The Propexo unique identifier for the floor planThis field will always be null for YARDI\_REST - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI` - `property_id` (string, required) — The Propexo unique identifier for the property - `unit_type_id` (string, required, nullable) — The Propexo unique identifier for the unit type | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `is_listed` (any, required, deprecated) — DEPRECATED: Use listings endpoints.This field will always be null for YARDI\_REST - `street_address_1` (string, required, nullable, deprecated) — Deprecated: Use address_1 | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | - `street_address_2` (string, required, nullable, deprecated) — Deprecated: Use address_2 | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data | ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### V1UnitsIdGetOutputResultsCustomData ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "cm2dtyq1600008loze5xgf3fb", "x_property_id": "clwqjwc1e000008i7fnrrayzc", "x_floor_plan_id": null, "x_unit_type_id": null, "bathrooms": "1.5", "bathrooms_full": 1, "bathrooms_half": 1, "bedrooms": "2", "building_name": "Building A", "building_number": "Building A", "city": "Santa Monica", "country": null, "custom_data": {}, "floor_plan_code": "1BR", "floor_plan_name": "One Bedroom", "floor": null, "is_available": true, "is_furnished": true, "is_vacant": true, "number": "101", "rent_amount_market_in_cents": 200000, "rent_amount_max_in_cents": null, "rent_amount_min_in_cents": null, "square_feet": 850, "state": "CA", "address_1": "100 West Channel Road 101", "address_2": "100 West Channel Road 101", "zip": "90402", "pets_allowed": null, "dogs_allowed": null, "cats_allowed": null, "pet_policy": null, "floor_plan_id": null, "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "YARDI_REST", "property_id": "clwi5xiix000008l6ctdgafyh", "unit_type_id": "clwqjwc1e000008i7fnrrayzc:322_fs:UnitTypeUniqueID-2344", "is_listed": null, "street_address_1": "string", "street_address_2": "string" } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/units/id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/units/id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/units/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/units/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/units/id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/units/id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/units/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/units/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```